# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

try:
    from .sku_py3 import Sku
    from .redis_access_keys_py3 import RedisAccessKeys
    from .redis_linked_server_py3 import RedisLinkedServer
    from .resource_py3 import Resource
    from .proxy_resource_py3 import ProxyResource
    from .tracked_resource_py3 import TrackedResource
    from .redis_create_parameters_py3 import RedisCreateParameters
    from .redis_update_parameters_py3 import RedisUpdateParameters
    from .redis_firewall_rule_py3 import RedisFirewallRule
    from .redis_firewall_rule_create_parameters_py3 import RedisFirewallRuleCreateParameters
    from .redis_resource_py3 import RedisResource
    from .redis_regenerate_key_parameters_py3 import RedisRegenerateKeyParameters
    from .redis_reboot_parameters_py3 import RedisRebootParameters
    from .export_rdb_parameters_py3 import ExportRDBParameters
    from .import_rdb_parameters_py3 import ImportRDBParameters
    from .schedule_entry_py3 import ScheduleEntry
    from .redis_patch_schedule_py3 import RedisPatchSchedule
    from .redis_force_reboot_response_py3 import RedisForceRebootResponse
    from .redis_linked_server_with_properties_py3 import RedisLinkedServerWithProperties
    from .redis_linked_server_create_parameters_py3 import RedisLinkedServerCreateParameters
    from .operation_display_py3 import OperationDisplay
    from .operation_py3 import Operation
    from .check_name_availability_parameters_py3 import CheckNameAvailabilityParameters
    from .upgrade_notification_py3 import UpgradeNotification
    from .notification_list_response_py3 import NotificationListResponse
except (SyntaxError, ImportError):
    from .sku import Sku
    from .redis_access_keys import RedisAccessKeys
    from .redis_linked_server import RedisLinkedServer
    from .resource import Resource
    from .proxy_resource import ProxyResource
    from .tracked_resource import TrackedResource
    from .redis_create_parameters import RedisCreateParameters
    from .redis_update_parameters import RedisUpdateParameters
    from .redis_firewall_rule import RedisFirewallRule
    from .redis_firewall_rule_create_parameters import RedisFirewallRuleCreateParameters
    from .redis_resource import RedisResource
    from .redis_regenerate_key_parameters import RedisRegenerateKeyParameters
    from .redis_reboot_parameters import RedisRebootParameters
    from .export_rdb_parameters import ExportRDBParameters
    from .import_rdb_parameters import ImportRDBParameters
    from .schedule_entry import ScheduleEntry
    from .redis_patch_schedule import RedisPatchSchedule
    from .redis_force_reboot_response import RedisForceRebootResponse
    from .redis_linked_server_with_properties import RedisLinkedServerWithProperties
    from .redis_linked_server_create_parameters import RedisLinkedServerCreateParameters
    from .operation_display import OperationDisplay
    from .operation import Operation
    from .check_name_availability_parameters import CheckNameAvailabilityParameters
    from .upgrade_notification import UpgradeNotification
    from .notification_list_response import NotificationListResponse
from .operation_paged import OperationPaged
from .redis_resource_paged import RedisResourcePaged
from .redis_firewall_rule_paged import RedisFirewallRulePaged
from .redis_patch_schedule_paged import RedisPatchSchedulePaged
from .redis_linked_server_with_properties_paged import RedisLinkedServerWithPropertiesPaged
from .redis_management_client_enums import (
    SkuName,
    SkuFamily,
    TlsVersion,
    ProvisioningState,
    RedisKeyType,
    RebootType,
    DayOfWeek,
    ReplicationRole,
)

__all__ = [
    'Sku',
    'RedisAccessKeys',
    'RedisLinkedServer',
    'Resource',
    'ProxyResource',
    'TrackedResource',
    'RedisCreateParameters',
    'RedisUpdateParameters',
    'RedisFirewallRule',
    'RedisFirewallRuleCreateParameters',
    'RedisResource',
    'RedisRegenerateKeyParameters',
    'RedisRebootParameters',
    'ExportRDBParameters',
    'ImportRDBParameters',
    'ScheduleEntry',
    'RedisPatchSchedule',
    'RedisForceRebootResponse',
    'RedisLinkedServerWithProperties',
    'RedisLinkedServerCreateParameters',
    'OperationDisplay',
    'Operation',
    'CheckNameAvailabilityParameters',
    'UpgradeNotification',
    'NotificationListResponse',
    'OperationPaged',
    'RedisResourcePaged',
    'RedisFirewallRulePaged',
    'RedisPatchSchedulePaged',
    'RedisLinkedServerWithPropertiesPaged',
    'SkuName',
    'SkuFamily',
    'TlsVersion',
    'ProvisioningState',
    'RedisKeyType',
    'RebootType',
    'DayOfWeek',
    'ReplicationRole',
]
